summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorJon Hood <squinky86@gentoo.org>2004-09-17 18:37:54 +0000
committerJon Hood <squinky86@gentoo.org>2004-09-17 18:37:54 +0000
commit1c674ec15ccbda8d788171b8066c7c6913bf92dc (patch)
tree707bc799a3d1c4065cdb0838fc2f2247428512ca /net-p2p/gift-gnutella
parentadd streamzap to the list of drivers (Manifest recommit) (diff)
downloadgentoo-2-1c674ec15ccbda8d788171b8066c7c6913bf92dc.tar.gz
gentoo-2-1c674ec15ccbda8d788171b8066c7c6913bf92dc.tar.bz2
gentoo-2-1c674ec15ccbda8d788171b8066c7c6913bf92dc.zip
Applying makeup because this was uglier than a drunken bearded hermaphrodite on prom night.
Diffstat (limited to 'net-p2p/gift-gnutella')
-rw-r--r--net-p2p/gift-gnutella/files/cacheupdate.sh5
1 files changed, 3 insertions, 2 deletions
diff --git a/net-p2p/gift-gnutella/files/cacheupdate.sh b/net-p2p/gift-gnutella/files/cacheupdate.sh
index 3f8ce04db3fa..cc178da2a11e 100644
--- a/net-p2p/gift-gnutella/files/cacheupdate.sh
+++ b/net-p2p/gift-gnutella/files/cacheupdate.sh
@@ -1,11 +1,11 @@
#!/bin/bash
# Copyright 1999-2004 Gentoo Foundation
# Distributed under the terms of the GNU General Public License v2
-# $Header: /var/cvsroot/gentoo-x86/net-p2p/gift-gnutella/files/cacheupdate.sh,v 1.2 2004/09/13 10:29:07 squinky86 Exp $
+# $Header: /var/cvsroot/gentoo-x86/net-p2p/gift-gnutella/files/cacheupdate.sh,v 1.3 2004/09/17 18:37:54 squinky86 Exp $
if [ -d ~/.giFT/Gnutella/ ]; then
cd ~/.giFT/Gnutella
- wget http://gwebcache.squinky.gotdns.com/perlgcache.cgi?get=1\&hostfile=1\&net=gnutella2\&client=GEN2\&version=0.1 -O gwebcaches.new || die
+ wget http://gwebcache.squinky.gotdns.com/perlgcache.cgi?get=1\&hostfile=1\&net=gnutella2\&client=GEN2\&version=0.1 -O gwebcaches.new || die "Unable to retrieve new caches."
grep "u|" gwebcaches.new > gwebcaches.new1
sed -i -e 's:u|::g' gwebcaches.new1
sed -i -e 's:|.*::g' gwebcaches.new1
@@ -15,6 +15,7 @@ if [ -d ~/.giFT/Gnutella/ ]; then
sed -i -e 's:|.*::g' nodes.new
mv nodes.new nodes
rm gwebcaches.new
+ echo "Update complete!"
else
echo "Please emerge gift-gnutella and run gift-setup."
fi